import { html as h } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as l } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (a, t, s, o) => {
  for (var e = o > 1 ? void 0 : o ? m(t, s) : t, n = a.length - 1, i; n >= 0; n--)
    (i = a[n]) && (e = (o ? i(t, s, e) : i(e)) || e);
  return o && e && v(t, s, e), e;
};
let r = class extends l {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--foundationsLarge", this.class = "c-pieIcon c-pieIcon--foundationsLarge", this.name = "IconFoundationsLarge";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--foundationsLarge"><path d="M4.625 27.375h10.509V16.866H4.625v10.509Zm1.75-8.759h7.009v7.009H6.375v-7.009Z"></path><path d="M16.866 16.893V27.4h10.509V16.893H16.866Zm8.759 8.758h-7.009v-7.008h7.009v7.008Z"></path><path d="M10.75 4.625v10.509h10.509V4.625H10.75Zm1.75 8.759V6.375h7.009v7.009H12.5Z"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], r.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = p([
  f("icon-foundations-large")
], r);
export {
  r as IconFoundationsLarge
};
